using System;
using System.Security;
using System.Security.Policy;
using System.Security.Permissions;
using System.IO;
using System.Collections;



    class NewPermissionSet
    {

        static void Main(string[] args)
        {
            //create new NamedPermissionSet instance
            NamedPermissionSet pset = 
		new NamedPermissionSet("ClipBoardPset",PermissionState.None);
            //expressing unrestricted permission to do UI
            pset.AddPermission(
		new UIPermission(UIPermissionClipboard.AllClipboard)
		);
            //getting policy levels enumerator
            IEnumerator policylevels=SecurityManager.PolicyHierarchy();
            //moving to machine policy level
            policylevels.MoveNext();
            policylevels.MoveNext();
            PolicyLevel machinepolicy = (PolicyLevel)(policylevels.Current);
            //add the new permission set
            machinepolicy.AddNamedPermissionSet(pset);
            //Save the changes
            SecurityManager.SavePolicy();

        }


    }
