using System;
using System.Security;
using System.Security.Policy;
using System.Security.Permissions;
using System.IO;
using System.Collections;


    class ChangePset
    {

        static void Main(string[] args)
        {
            PermissionSet pset = new PermissionSet(PermissionState.None);
            pset.AddPermission(new UIPermission(PermissionState.Unrestricted));
            IEnumerator policylevels=SecurityManager.PolicyHierarchy();
            //moving to machine policy level
            policylevels.MoveNext();
            policylevels.MoveNext();
            PolicyLevel machinepolicy = (PolicyLevel)(policylevels.Current);
            //change permission set
            NamedPermissionSet namedpset = 
		machinepolicy.ChangeNamedPermissionSet("UIPermSet",pset);
            //Save the changes
            SecurityManager.SavePolicy();
        }

    }
