using System;
using System.Security;
using System.Security.Policy;
using System.Security.Permissions;
using System.IO;
using System.Collections;



class Resolve
{
    static void Main(string[] args)
    {
        Zone zoneevidence = new Zone(System.Security.SecurityZone.Intranet);
        Site siteevidence = new Site("www.microsofttest.com");
        //create evidence object
        Evidence evidence = new Evidence();
        evidence.AddHost(zoneevidence);
        evidence.AddHost(siteevidence);
        //getting policy levels enumerator
        IEnumerator policylevels=SecurityManager.PolicyHierarchy();
        //moving to machine policy level
        policylevels.MoveNext();
        policylevels.MoveNext();
        PolicyStatement policystatement = 
  ((PolicyLevel)policylevels.Current).Resolve(evidence);
        //Printing machine policy resolution results
        Console.WriteLine(policystatement.PermissionSet.ToString());

        String t = Console.ReadLine();
    }
}
